{
  "psdataentityname" : "SUBJECT",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "Subject",
  "noviewmode" : 1,
  "createdate" : "2020-08-07 09:43:50",
  "memo" : "Information regarding subjects available in the system.",
  "useraction" : 0,
  "logicname" : "主题",
  "existingmodel" : 0,
  "systemflag" : 0,
  "tablename" : "SUBJECT",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2020-08-07 09:43:50",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "Auto38",
    "createdate" : "2020-08-07 09:43:50",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2259",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEDATE][CreateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3500",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEMAN][CreateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Memo",
    "enableuserinput" : 3,
    "psdefieldname" : "DESCRIPTION",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/DESCRIPTION",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Description",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 2000,
    "logicname" : "说明",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1499",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DESCRIPTION][Description]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DESCRIPTION",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "FEATUREMASK",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/FEATUREMASK",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "FeatureMask",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "功能掩码",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3002",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[FEATUREMASK][FeatureMask]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "FEATUREMASK",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "IMPORTSEQUENCENUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/IMPORTSEQUENCENUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ImportSequenceNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "导入序列号",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1824",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[IMPORTSEQUENCENUMBER][ImportSequenceNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "IMPORTSEQUENCENUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "OVERRIDDENCREATEDON",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/OVERRIDDENCREATEDON",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OverriddenCreatedOn",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "创建记录的时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto75",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OVERRIDDENCREATEDON][OverriddenCreatedOn]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OVERRIDDENCREATEDON",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "PARENTSUBJECT",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/PARENTSUBJECT",
    "validflag" : 1,
    "derpsdefid" : "<PSDATAENTITY>/SUBJECTID",
    "physicalfield" : 1,
    "codename" : "ParentSubject",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "SUBJECTID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "父主题",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "usertag2" : "subject",
    "psdername" : "DER1N_SUBJECT__SUBJECT__PARENTSUBJECT",
    "psderid" : "<PSDATAENTITY>/DER1N_SUBJECT__SUBJECT__PARENTSUBJECT",
    "psdefformitems" : [ {
      "codename" : "Auto3201",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PARENTSUBJECT][ParentSubject]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_PARENTSUBJECT_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PARENTSUBJECT",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "PARENTSUBJECTNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/PARENTSUBJECTNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ParentSubjectName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "父主题的名称。",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2488",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PARENTSUBJECTNAME][ParentSubjectName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PARENTSUBJECTNAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "SUBJECTID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/SUBJECTID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "SubjectId",
    "psdatatypeid" : "GUID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 1,
    "length" : 60,
    "logicname" : "主题",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto4309",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[SUBJECTID][SubjectId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "SUBJECTID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "TITLE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/TITLE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Title",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 500,
    "logicname" : "标题",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3959",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TITLE][Title]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_TITLE_LIKE",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TITLE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto187",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEDATE][UpdateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2206",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEMAN][UpdateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "BigInt",
    "enableuserinput" : 3,
    "psdefieldname" : "VERSIONNUMBER",
    "psdatatypename" : "大整型",
    "pssysdbcolumnid" : "DEFAULT/SUBJECT/VERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "VersionNumber",
    "psdatatypeid" : "BIGINT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/SUBJECT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "版本号",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1292",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[VERSIONNUMBER][VersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "VERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/SUBJECT",
    "psdetablename" : "SUBJECT",
    "tabletype" : "MAIN",
    "createdate" : "2020-09-02 15:12:02"
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `SUBJECT`(\n`OVERRIDDENCREATEDON`  DATETIME COMMENT '创建记录的时间' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`VERSIONNUMBER`  BIGINT(20) COMMENT '版本号' \n,`DESCRIPTION`  VARCHAR(2000) COMMENT '说明' \n,`IMPORTSEQUENCENUMBER`  INTEGER COMMENT '导入序列号' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`PARENTSUBJECTNAME`  VARCHAR(100) COMMENT '父主题的名称。' \n,`FEATUREMASK`  INTEGER COMMENT '功能掩码' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`TITLE`  VARCHAR(500) COMMENT '标题' \n,`SUBJECTID`  VARCHAR(60)  NOT NULL PRIMARY KEY COMMENT '主题' \n,`PARENTSUBJECT`  VARCHAR(60) COMMENT '父主题' \n)COMMENT='主题';",
    "testsql" : "SELECT 1 FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "4acf8efca3f6b4aac1b57f0c8fab9833",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SUBJECT",
    "createdate" : "2020-08-07 09:46:57"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "7d3646e1545e080907f0d26355894075",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "be0e33318b0b4ff3c58a09b1f9ba8b35",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.DESCRIPTION",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `DESCRIPTION`  VARCHAR(2000)  COMMENT '说明' \n",
    "testsql" : "SELECT `DESCRIPTION` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "522cb8401f9b8f411ec0280de34f6e74",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DESCRIPTION",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.FEATUREMASK",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `FEATUREMASK`  INTEGER  COMMENT '功能掩码' \n",
    "testsql" : "SELECT `FEATUREMASK` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "a291dcc97636e72ccdd492ccc4e505c6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "FEATUREMASK",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.IMPORTSEQUENCENUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `IMPORTSEQUENCENUMBER`  INTEGER  COMMENT '导入序列号' \n",
    "testsql" : "SELECT `IMPORTSEQUENCENUMBER` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "64e26418e2a8cd7fc7fec90e3e4269f4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "IMPORTSEQUENCENUMBER",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.OVERRIDDENCREATEDON",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `OVERRIDDENCREATEDON`  DATETIME  COMMENT '创建记录的时间' \n",
    "testsql" : "SELECT `OVERRIDDENCREATEDON` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "04795af374d8c6622f52e5cd17f36692",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OVERRIDDENCREATEDON",
    "createdate" : "2020-08-07 09:46:57"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.PARENTSUBJECT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `PARENTSUBJECT`  VARCHAR(60)  COMMENT '父主题' \n",
    "testsql" : "SELECT `PARENTSUBJECT` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "ad90e464fe532a43ffb8434e1d960e77",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PARENTSUBJECT",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.PARENTSUBJECT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE SUBJECT ADD CONSTRAINT F7675A337EEE3BBC08 FOREIGN KEY(PARENTSUBJECT) REFERENCES SUBJECT(SUBJECTID)",
    "psobjid" : "ad90e464fe532a43ffb8434e1d960e77",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PARENTSUBJECT",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.PARENTSUBJECTNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `PARENTSUBJECTNAME`  VARCHAR(100)  COMMENT '父主题的名称。' \n",
    "testsql" : "SELECT `PARENTSUBJECTNAME` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "8a214f7bb09afc83703bd6eb0db80feb",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PARENTSUBJECTNAME",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.SUBJECTID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `SUBJECTID`  VARCHAR(60)  COMMENT '主题' \n",
    "testsql" : "SELECT `SUBJECTID` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "ecaf51b89035fd64cf11be891fa56433",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SUBJECTID",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.TITLE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `TITLE`  VARCHAR(500)  COMMENT '标题' \n",
    "testsql" : "SELECT `TITLE` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "d97d51a11ec516f47c5c2e3606115861",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TITLE",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "0a0f6af6171330fe7baaff176cb89715",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "7a914c1ace0551bd15ff2118c7a289f9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2020-08-07 09:46:58"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "SUBJECT.VERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `SUBJECT`\nADD COLUMN `VERSIONNUMBER`  BIGINT(20)  COMMENT '版本号' \n",
    "testsql" : "SELECT `VERSIONNUMBER` FROM `SUBJECT` WHERE 1<>1",
    "psobjid" : "4834df647b62ff1de1eb04325429d38e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "VERSIONNUMBER",
    "createdate" : "2020-08-07 09:46:58"
  } ]
}